Mise à niveau de Squeeze vers Wheezy

De Le Wiki de debian-fr.xyz
Aller à : navigation, rechercher

Cet article a pour but de vous guider lors de la mise-à-jour de Debian 6 « Squeeze » vers Debian 7 « Wheezy ».

Prévoyez avant toute chose d’avoir du temps devant vous, et d’être au calme.

L’outil de référence de ce guide sera apt-get, mais il peut probablement être adapté de façon à utiliser aptitude.

https://www.debian.org/releases/wheezy/amd64/release-notes/ch-upgrading.fr.html#upgradingpackages

J’ai choisi une Squeeze avec toutes les options de tasksel activées afin de faire un tour d’horizon le plus vaste possible des problèmes qui pourraient survenir. L’environnement graphique est GNOME (environnement par défaut pour Squeeze et Wheezy).

Squeeze-tasksel.png

Pré-requis

Une bonne sauvegarde

Vous n’avez AUCUNE garantie que la mise à niveau se passe bien, alors, quelle que soit la méthode que vous emploierez, une sauvegarde est le minimum que vous puissiez faire avant de vous lancer dans l'aventure..

Avec dd, dump ou simplement cp SAUVEGARDEZ !

Un système à jour !

Le fichier sources.list précédant la mise à niveau :

  1. Debian Squeeze

deb http://ftp.fr.debian.org/debian/ squeeze main deb http://security.debian.org/ squeeze/updates main deb http://ftp.fr.debian.org/debian/ squeeze-updates main

# apt-get update
# apt-get upgrade
# apt-get dist-upgrade

De l’espace !

La mise-à-jour d’une version Debian vers une autre nécessite d’avoir suffisamment d’espace libre sur la partition racine (/), ainsi que sur la partition où se trouve /var pour le stockage des paquets téléchargés.

Pour info une mise-à-jour "lourde" se soldera par le téléchargement d'environ 1Go…

Pour connaître l’espace libre de votre partition racine :

$ df -H
Sys. de fichiers	Taille	Uti.	Disp.	Uti%	Monté sur
/dev/sda1		19G	3,6G	15G	20%	/
tmpfs			502M	0	502M	0%	/lib/init/rw
udev			500M	120K	500M	1%	/dev
tmpfs			502M	0	502M	0%	/dev/shm
/dev/sr0		4,4G	4,4G	0	100%	/media/cdrom0

Si vous disposez de plus de 50 % d’espace libre vous pouvez passer à l’étape suivante.

Dans le cas contraire il va vous falloir augmenter cet espace. Suivez le guide ci-dessous pour y parvenir :

Nettoyer sa Debian

Si cela ne suffit toujours pas, il faut envisager d’ajouter un disque à votre système, ou de procéder à une mise-à-jour par étapes successives (en mettant à jour les paquets progressivement et en nettoyant à chaque étape)

Les pilotes de la carte graphique

Afin de ne pas avoir de mauvaise surprise avec le serveur X, modifiez le cas échéant votre xorg.conf afin d'utiliser des pilotes libres fournis par Debian plutôt que les pilotes propriétaires.

Eventuellement utilisez les pilotes "vesa"

Dans votre fichier /etc/X11/xorg.conf

Section "Device"

   Identifier     "Device0"
   Driver         "vesa"

EndSection

Si vous êtes sûr de vous, n’en faites rien, mais prévoyez une réinstallation des pilotes avant le premier redémarrage.

Le fichier sources.list

Créons un nouveau sources.list que nous placerons dans /etc/apt/sources.list.d Nous prenons dores et déjà la bonne habitude d'utiliser ce répertoire qui est devenu celui par défaut pour mettre les fichiers contenant les dépôts.

Modifions le fichier sources.list pour y ajouter les dépôts de Wheezy. Il n’est pas encore utile d’en effacer les dépôts de Squeeze, mieux vaut pour ça attendre d’avoir terminé la mise-à-jour.

# nano /etc/apt/sources.list

  1. Debian Squeeze

deb http://ftp.fr.debian.org/debian/ squeeze main deb http://security.debian.org/ squeeze/updates main deb http://ftp.fr.debian.org/debian/ squeeze-updates main

  1. Debian Wheezy

deb http://ftp.fr.debian.org/debian/ wheezy main deb http://security.debian.org/ wheezy/updates main deb http://ftp.fr.debian.org/debian/ wheezy-updates main

Préparation de la mise à niveau

Maintenant que nous sommes prêts, nous pouvons lancer la mise-à-jour :

Mise-à-jour de la liste des paquets :

# apt-get update

Un problème de Dynamic MMap ran out of room

E: Dynamic MMap ran out of room
# echo 'APT::Cache-Limit 50000000;' >> /etc/apt/apt.conf.d/00configperso

Relancez la mise-à-jour, il ne devrait plus y avoir d'erreurs.

# apt-get update

Problèmes de dépendances

Vous ne pourrez pas faire le passage de Squeeze à Wheezy tant que subsisteront des problèmes de dépendances…

Voici deux exemples de problèmes de dépendances, et la manière de les régler :

Les paquets suivants ont des dépendances non satisfaites :

 xfce4-mixer-oss: Est en conflit avec: xfce4-mixer-alsa mais 4.4.2-3 est installé.
 foomatic-db: Est en conflit avec: foomatic-db-hpijs mais 20080211-1 est installé.
 xfce4-mixer-alsa: Est en conflit avec: xfce4-mixer-oss mais 4.4.2-3 doit être installé.
  1. aptitude install foomatic-db xfce4-mixer-alsa

Lecture des listes de paquets... Fait Construction de l'arbre des dépendances Lecture des informations d'état... Fait Lecture de l'information d'état étendu Initialisation de l'état des paquets... Fait Lecture des descriptions de tâches... Fait Les NOUVEAUX paquets suivants vont être installés :

 libopenjpeg2{a} libpoppler5{a} min12xxw{a} pnm2ppa{a} 

Les paquets suivants seront ENLEVÉS :

 foomatic-db-hpijs{a} 

Les paquets suivants seront mis à jour :

 fontconfig-config foomatic-db foomatic-db-engine foomatic-filters libfontconfig1 libjpeg62 libxml2 poppler-utils 

8 paquets mis à jour, 4 nouvellement installés, 1 à enlever et 728 non mis à jour. Il est nécessaire de télécharger 4722ko d'archives. Après dépaquetage, 18,2Mo seront libérés. Voulez-vous continuer ? [Y/n/?] o ... État actuel : 728 mises à jour restantes [-8].

Les paquets suivants ont des dépendances non satisfaites :

 libatlas3gf-base: Est en conflit avec: libblas3gf (< 1.2-5) mais 1.2-2 est installé et a été conservé
                   Est en conflit avec: liblapack3gf (< 3.2.1-4) mais 3.1.1-1 est installé et a été conservé
 rarian-compat: Est en conflit avec: scrollkeeper (< 0.4) mais 0.3.14-16 est installé et a été conservé
  1. aptitude install libatlas3gf-base scrollkeeper

... Les actions suivantes permettront de résoudre ces dépendances :

Mettre à jour les paquets suivants : libblas3gf [1.2-2 (stable, now) -> 1.2-8 (testing)] liblapack3gf [3.1.1-1 (stable, now) -> 3.2.1-8 (testing)]

Le score est de 70

Accepter cette solution ? [Y/n/q/?] y ... État actuel : 725 mises à jour restantes [-3].

En cas de doute n'hésitez pas à demander un avis sur le forum.

stopper le serveur X

IMPORTANT : Stoppez votre serveur X (kdm, gdm, xdm, ou autre X)

# service $(awk -F "/" '{print $4}' /etc/X11/default-display-manager) stop

Si vous faites votre mise à niveau avec le serveur X lancé, vous risquez cette mésaventure

Lancez la mise à niveau

A propos de udev et du noyau

Lors de la mise-à-jour de Lenny vers Squeeze il était fortement recommandé de mettre à jour le noyau et udev avant de se lancer dans la mise à niveau du reste du système. Ce problème ne se pose plus lors de la mise-à-jour de Squeeze vers Wheezy.

Mise à niveau

# apt-get upgrade
# apt-get dist-upgrade

Si votre machine est un PC portable, connectez votre bloc d'alimentation par le secteur.

En fonction de votre connexion ça peut prendre très longtemps, et être interrompu si votre connexion n’est pas stable (comptez environ 1 Go de paquets à télécharger pour un environnement GNOME complet).

Un conseil si vous n’êtes pas sûr de votre connexion, et si vous ne voulez pas que la mise-à-jour soit interrompue en cours de route pour un problème de réseau : téléchargez d'abord les paquets sur votre machine en lançant au préalable les deux commandes précédentes avec l’option '-d'.

Une fois la totalité des paquets téléchargée, vous pouvez relancer les commandes de mise-à-jour sans l’option '-d' pour effectuer la mise-à-jour réelle.

« Impossible de faire une configuration immédiate »

Dans certains cas, la commande 'apt-get dist-upgrade' peut échouer après le téléchargement des paquets avec :

E: Impossible d'effectuer la configuration immédiate de « paquet ». Veuillez consulter la page de manuel apt.conf(5) et notamment la section à propos de APT::Immediate-Configure, pour plus d'informations.

Si vous rencontrez cette erreur, lancez la commande suivante pour pouvoir continuer la mise-à-jour :

apt-get dist-upgrade -o APT::Immediate-Configure=0

Déroulement

Vous aurez à répondre à quelques questions (au sujet de fichiers de configuration et de scripts qui ont pu être modifiés depuis leur installation). Dans le doute choisissez les options par défaut, mais prenez le temps de lire tous les messages, et si nécessaire prenez des notes.

Sans le téléchargement des fichiers, comptez environ une heure pour la mise à niveau (ça peut être beaucoup plus rapide sur une machine récente, mais mieux vaut prévoir large).

Squeeze2wheezy-1.png

Squeeze2wheezy-2.png

Squeeze2wheezy-3.png

Vous partirez d’une Squeeze configurée, et donc de nombreux fichiers de configuration auront été modifiés par vos soins. Il est judicieux de ne pas écraser vos configurations avec les fichiers par défaut proposés par les "mainteneurs" des paquets. Vous aurez tout le loisir de regarder les modifications proposées, et ce qu’elles apportent, en regardant sous /usr/share/doc ou dans les contenus de vos deb téléchargés (sous /var/cache/apt/archives).

Si tout s'est bien passé, il ne vous reste plus qu'a redémarrer la machine :

# shutdown -r now

Bienvenue sur Wheezy

dave@HAL9000VM:~$ uname -a
Linux HAL9000VM 3.2.0-4-amd64 #1 SMP Debian 3.2.60-1+deb7u3 x86_64 GNU/Linux

Wheezy-gdm3.png

Après avoir vérifié que votre système tourne bien en Wheezy, c’est le moment de le nettoyer de ses paquets obsolètes :

# apt-get autoremove --purge

Profitez-en aussi pour enlever les entrées "squeeze" de votre fichier sources.list.


source sur debian.org : Mises à niveau depuis Debian 6.0 (Squeeze)

source interne : Mise à niveau (upgrade) de Lenny à Squeeze


Création de l’article :

Vv222 (discussion) 6 septembre 2014 à 04:43 (CEST)